---
title: "hugo config"
slug: hugo_config
url: /commands/hugo_config/
---
## hugo config

Display site configuration

### Synopsis

Display site configuration, both default and custom settings.

```
hugo config [command] [flags]
```

### Options

```
  -b, --baseURL string           hostname (and path) to the root, e.g. https://spf13.com/
      --cacheDir string          filesystem path to cache directory
  -c, --contentDir string        filesystem path to content directory
      --format string            preferred file format (toml, yaml or json) (default "toml")
  -h, --help                     help for config
      --lang string              the language to display config for. Defaults to the first language defined.
      --printZero                include config options with zero values (e.g. false, 0, "") in the output
      --renderSegments strings   named segments to render (configured in the segments config)
  -t, --theme strings            themes to use (located in /themes/THEMENAME/)
```

### Options inherited from parent commands

```
      --clock string               set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00
      --config string              config file (default is hugo.yaml|json|toml)
      --configDir string           config dir (default "config")
  -d, --destination string         filesystem path to write files to
  -e, --environment string         build environment
      --ignoreVendorPaths string   ignores any _vendor for module paths matching the given Glob pattern
      --logLevel string            log level (debug|info|warn|error)
      --noBuildLock                don't create .hugo_build.lock file
      --quiet                      build in quiet mode
  -M, --renderToMemory             render to memory (mostly useful when running the server)
  -s, --source string              filesystem path to read files relative from
      --themesDir string           filesystem path to themes directory
```

### SEE ALSO

* [hugo](/commands/hugo/)	 - Build your site
* [hugo config mounts](/commands/hugo_config_mounts/)	 - Print the configured file mounts

